#
# Reconhezedor de linguas, dado um ficheiro di se é espanhol ou galego
# 			O algoritmo basease em recorrer um ficheiro e comparar cada palabra cuma lista de palavras de cada idioma dando mais pontos quanto mais arriva estiver
#

ES_FILE = "lib/data/eslex_naosupervisado.txt"
GL_FILE = "lib/data/galex_naosupervisado.txt"
SEPARATORS = [".",",",";",":",'"',"«","»","&","+","=","$","(",")","<",">","[","]","!","¡","?","¿"]


def reco(cadea)
	palavras_galego = File.open(GL_FILE,"r").readlines.collect{ |line| line.chomp}
	palavras_espanhol = File.open(ES_FILE,"r").readlines.collect{ |line| line.chomp}

	pontos_galego, pontos_espanhol = 0, 0
	size_galego, size_espanhol = palavras_galego.size, palavras_espanhol.size # Calculamos quantas palavras ha na lista para logo calcular o valor de cada entrada

	cadea = cadea.chomp.gsub("\n"," ").gsub("  "," ")
	SEPARATORS.each { |separator| cadea = cadea.gsub(separator,"") } # Remove all the separators
	cadea.split(" ").each do |palavra|
		if (palavras_galego.index(palavra) != nil)
			pontos_galego += size_galego + 1 - palavras_galego.index(palavra)
		end
		if (palavras_espanhol.index(palavra) != nil)
			pontos_espanhol += size_espanhol + 1 - palavras_espanhol.index(palavra)
		end
	end


	if (pontos_galego == 0) && (pontos_espanhol == 0)
		return nil
	end

	if pontos_galego >= pontos_espanhol
		return "gl"
	else
		return "es"
	end
	#puts "gl #{pontos_galego}       es #{pontos_espanhol}"
end
